package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.jk;

/**
 * 返回码
 *
 * @author minmin
 */
public class SjjhConstant {
    private SjjhConstant() {

    }

    /**
     * 联通三要素接口返回200时也表示查询无结果且收费
     */
    public static final String RETURN_SUCCESS = "200";
    /**
     * 查询一致时扣费
     */
    public static final String QUERY_IDENTICAL = "1";
    /**
     * 查询不一致时扣费
     */
    public static final String QUERY_NO_IDENTICAL = "0";
    /**
     * sha256加密方式
     */
    public static final String ENCRYPTION_SHA256 = "SHA256";
    /**
     * data == 1
     */
    public static final String RESPONSE_DATA_1 = "1";
    /**
     * data == 2
     */
    public static final String RESPONSE_DATA_2 = "2";
    /**
     * application/json
     */
    public static final String MEDIA_TYPE = "application/json; charset=utf-8";
    /**
     * 查询成功，查无结果
     */
    public static final String UN_FIND_MESSAGE = "查询成功，查无结果";
}
