package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.jk.service;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import info.aspirecn.rdc.iov.sjjh.servicenode.supplier.jk_interface.vo.EncryptionResponseObject;
import info.aspirecn.rdc.iov.sjjh.servicenode.supplier.jk_interface.vo.ResponseObject;

import javax.servlet.http.HttpServletRequest;

/**
 * @author jianggang
 * @Date 2018/10/24 14:37:13
 * @Description
 */

public interface JKChannelService {

    /**
     * 请求交科身份证二要素接口
     *
     * @param channelId
     * @param outTime
     * @param customBody
     * @return
     */
    ResponseObject sendTwoParamIdCardRequest(
            String channelId, Integer outTime, String customBody);


    /**
     * 三要素检验加密版接口
     *
     * @param customBody
     * @param outTime
     * @return
     */
    public EncryptionResponseObject encryptionMobileCheck(String customBody, int outTime);

    /**
     * 车辆抵押标记查询
     *
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject vehicleMortgage(HttpServletRequest request, String customBody, int outTime);

}
